Page MenuHomeFreeBSD

Add support Ralink RT1310 soc
ClosedPublic

Authored by yamori813_yahoo.co.jp on Jul 19 2016, 1:13 AM.

Details

Summary

This code base on lpc code. Ralink RT1310 is oem from 5V Technologies. RT1310 is ARM926EJS(arm5t).

Test Plan

Buffalo WZR2-G300N

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 6567
Build 6788: arc lint + arc unit

Event Timeline

yamori813_yahoo.co.jp retitled this revision from to Add support Ralink RT1310 soc.
yamori813_yahoo.co.jp updated this object.
yamori813_yahoo.co.jp edited the test plan for this revision. (Show Details)
  • fix gpioled support
  • move cfi entory to board setting
  • style and cleanup
mizhka accepted this revision.Nov 22 2016, 8:21 AM
mizhka added a reviewer: mizhka.
mizhka added a subscriber: mizhka.

Thank you, Hiroki-san!

I prefer to clean #if 0 & commented code before landing.

sys/arm/ralink/if_fv.c
28

Do we need $Id: $?

67–68

What is reason to put sys/* here but not in upper section?

82–84

#ifdef MII or please put it after DRIVER_MODULE section.

sys/arm/ralink/rt1310_machdep.c
36

Is it thing?

sys/arm/ralink/rt1310_rtc.c
102–104 ↗(On Diff #22400)

:) it's a kind of magic

sys/arm/ralink/rt1310reg.h
28

To be $FreeBSD$

31–32

_ARM_RALINK_RT1310REG_H?

38–51

To be tabs after #define (at least it should be same style for all lines)

This revision is now accepted and ready to land.Nov 22 2016, 8:21 AM
yamori813_yahoo.co.jp edited edge metadata.
  • refict review and delete rtc code because of rt1310 don't have rtc
This revision now requires review to proceed.Jan 5 2017, 6:09 AM
  • add mutex lock at smi access
  • add mdio dependeny
  • add promiscuous mode support and cleanup
  • add promiscuous mode support
  • other review refict
This revision was automatically updated to reflect the committed changes.